Downloading a geoscience object
Introduction
This guide will walk you through the process of downloading a geoscience object from Evo.
You can download a geoscience object either by its path or by its UUID.
Endpoints
GET /geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/path/{path}GET /geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}
These endpoints allow you to download a geoscience object. If required, the object can be compressed using gzip.
To receive a compressed payload, set the header Accept-Encoding: gzip in your request.
Download by path
The request parameters must include the path to the geoscience object.
The URL must be encoded if it contains unsafe characters.
Example of a request URL:
Download by UUID
The request parameters should include the UUID of the geoscience object.
Example request URL:
Response
The response will be a JSON object containing the properties of the requested geoscience object along with its metadata.
Example:
This response example reflects the properties of the requested geoscience object, along with its metadata.
Summary
- Prepare the
pathor the UUID of the geoscience object that you want to download. - Make a GET request with the
pathor UUID in the URL. - The response will include the properties of the requested geoscience object along with its metadata.